Summary: A web content filter
Name: dansguardian
Version: 2.8.0.6
Release: 2tr
License: GPL 
Group: Trustix Official
Source: http://dansguardian.org/downloads/2/Stable/dansguardian-%{version}.source.tar.gz
Source1: dansguardian-httpd.conf
Source2: dansguardian.conf
Source3: dansguardian.init
Source4: dansguardian.logrotate
URL: http://dansguardian.org/
BuildRoot: /var/tmp/%{name}-root
PreReq:  chkconfig logrotate tsl-utils
BuildRequires: zlib-devel 
Requires: squid apache

%description
DansGuardian is a content filtering proxy that works in conjunction
with another caching proxy such as Squid or Oops. It filters
the actual content of pages based on many methods including phrase
matching, PICS filtering and URL filtering. It does not purely filter
based on a banned list of sites like lesser totally commercial filters.


%prep
%setup -q

%build
./configure --mandir=/usr/share/man/ \
	    --sysvdir=/etc/init.d/ \
	    --cgidir=/home/httpd/sites/dansguardian/ \
	    --runas_grp=squid \
	    --runas_usr=squid \
	    --logrotatedir=/etc/logrotate.d/
make 


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -d $RPM_BUILD_ROOT/home/httpd/sites/dansguardian
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf.d/httpd-dansguardian.conf
make install PREFIX=$RPM_BUILD_ROOT CHKCONF=nowhere
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/dansguardian/
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/dansguardian
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/dansguardian
rm  $RPM_BUILD_ROOT/etc/dansguardian/logrotation

%post
/sbin/chkconfig --add dansguardian 
if [ $1 -eq 2 ]; then
  /sbin/restart_maybe dansguardian >/dev/null 2>&1 || :
fi


%preun
if [ "$1" = "0" ]; then
        /sbin/service dansguardian stop > /dev/null 2>&1
        /sbin/chkconfig --del dansguardian
	rm -f /var/log/dansguardian/*
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc LICENSE INSTALL README 
%config(noreplace) /etc/dansguardian/*list
%config(noreplace) /etc/dansguardian/*conf
%config(noreplace) /etc/dansguardian/pics
%config(noreplace) /etc/httpd/conf.d/httpd-dansguardian.conf
/etc/dansguardian/phraselists/
/etc/dansguardian/languages/
/etc/init.d/dansguardian
/etc/logrotate.d/dansguardian
/etc/dansguardian/transparent1x1.gif
/home/httpd/sites/dansguardian/*
/usr/sbin/dansguardian
%{_mandir}/man8/dansguardian.8.gz*
%attr(755,squid,squid) %dir /var/log/dansguardian/

%changelog
* Thu Feb 21 2008 Nived Gopalan <nived at trustix dot org> 2.8.0.6-2tr
- Modified init script, check for dans iptables rule script.

* Wed Jun 07 2006 Nived Gopalan <nived at trustix dot org> 2.8.0.6-1tr
- Initial build for TSL 2.2.
